local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

local function doFadeWipe(state)
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil) -- (state = "false" escurece ,"true" clareia)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 1.5
    fadeWipe.EndTimer = 2
  end


  function onBegin()
    disablePause()
    disableMovement()
	walkTo(-261)
	wait(0.5)
    doFadeWipe(false)
    walk(-22)
    wait(0.6)
    setFlag("deeperwell_in")
end